import Component from '../../component.js'
import { elementAttributeContains } from '../../../core/utils.js';

export default class CoUxBlockContent extends Component {
    constructor(parent) {
      let selector = 'ux-block-content';
      super(parent, selector);
      //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/src/lib/ux-components/ux-block-content/ux-block-content.component.html?at=support/10.x
    }
    get blockContent() {
      const path = '//div[contains(@class,"ux-block-content")]';
      return this.currentPath + path;
    }
    async isBlocked() {
      return await elementAttributeContains(this.blockContent, 'class', 'ux-is-active');
  }
}


